Issue 7575 - Maintain connection points when grouping objects
Summary: Maintain connection points when grouping objects
Status: ACCEPTED
Alias: None
Product: Draw
Classification: Application
Component: ui (show other issues)
Version: OOo 1.0.1
Hardware: All All
: P3 Trivial with 9 votes (vote)
Target Milestone: AOO Later
Assignee: AOO issues mailing list
QA Contact:
URL:
Keywords:
: 53751 (view as issue list)
Depends on:
Blocks:
 
Reported: 2002-09-07 22:21 UTC by mchristi
Modified: 2017-05-20 11:29 UTC (History)
4 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description mchristi 2002-09-07 22:21:23 UTC
When several objects are merged together into a group, their "connection points"
(where you can link a connector) aren't merged but are replaced by a few points
at the borders of the group.  This means that when I had a connector connected
to one of the objects in a group its connection point is gone after grouping.  I
would prefer that when objects are grouped that this new group has all the
connection points of the composing objects and that all connectors are
automatically attached to these new connection points.  (The inverse should
happen when ungrouping).
Keep up the good work!
Comment 1 wolframgarten 2002-11-06 08:41:03 UTC
Reassigned to Falko.
Comment 2 eric.savary 2003-04-16 15:38:27 UTC
Set to "NEW"
Comment 3 falko.tesch 2003-09-29 14:52:33 UTC
sorry, I do not understand this issue.
A group is a group is a group.
Comment 4 mchristi 2003-09-29 19:53:40 UTC
Well let me explain it to you with an example.  Suppose you have three
squares (S1, S2 and S3).  In that case you can connect S1 to S3
starting from the middle of one of the sides of the S1 and going to
the middle of one of the sides of S3.  Now suppose you group S1 and
S2. Suddenly you can no longer make the same connection since the
original anchor points are gone.  It would seem more appropriate to
have a group have the same anchorpoints as its constituent objects.  
Comment 5 falko.tesch 2003-10-06 11:53:43 UTC
I understand now.
Please preserve anchor point of any object when grouped.
Comment 6 falko.tesch 2003-10-06 11:53:59 UTC
started
Comment 7 bettina.haberer 2003-12-05 16:29:46 UTC
Summary: Preferred is that when objects are grouped that this new
group has all the connection points of the composing objects and that
all connectors areautomatically attached to these new connection
points.  (The inverse should happen when ungrouping).
Hello Christian, please give approval for this evaluated OO.o 2.0
flagged issue. 
If you confirm with the target OO.o 2.0, then please keep it on your
owner (or the owner of the concerning developer) for implementation.
In case you want this issue for 'OOo Later', then please reset the
target milestone. If you decline the issue finally, please set the
resolution to 'Wontfix' (but do not close). In case of 'OOo Later' or
'Wontfix' please reset it on Bettina's owner. Thank you.
Comment 8 clippka 2004-01-13 08:47:55 UTC
Armin, please take over this decision as it is more your area. I personaly would
not see anything that speaks against it
Comment 9 Armin Le Grand 2004-02-06 09:25:25 UTC
AW: One half does indeed work now: Connectors connected to objects which are
grouped stay connected to the then group-internal points, same with ungrouping.
It is just that it is not possible to connect to connection points inside the
group. What is missing is the offering of all connection points from inside the
group.
AW: Maybe that's not hard to do, i will investigate. Fact is that this may be
gone with the planned connector rework. So, for the moment i let it on 2.0
target, but maybe it will move.
Comment 10 Armin Le Grand 2004-05-28 09:33:12 UTC
.
Comment 11 Armin Le Grand 2004-07-30 14:45:33 UTC
AW: Set to defect
Comment 12 thorsten.ziehm 2004-08-19 15:49:44 UTC
Because of limited resource for OOo2.0, it was decided to shift this tasks to
the next milestone. If somebody will be found, who can implement this until
OOo2.0, then this tasks will be re-targeted.
Comment 13 Armin Le Grand 2005-10-25 11:20:15 UTC
*** Issue 53751 has been marked as a duplicate of this issue. ***
Comment 14 norbert2 2008-10-08 19:44:45 UTC
Is this just a display problem?

If I add gluepoints to a alraedy grouped object, the glue point is displayed.
But it is not displayed if I exit an re-enter the glue point edit mode. And it
is not displayed while drawing a connector, but the connector snaps to the glue
point if I come near to it's place.
Comment 15 norbert2 2008-10-09 08:57:21 UTC
My last comment is incorrect:

It looks like all glue points are lost after grouping objects (like described in
the initial comment).

So not displaying of glue points for grouped objects is a separate problem, I think.
Comment 16 norbert2 2008-10-09 08:59:51 UTC
"My last comment is incorrect"

I mean that it would be just a "display problem.

We have two seperate problems here:

1. When grouping objects, glue pints are lost.

2. Glue points of grouped objects (that have been added after grouping) are not
displayed after re-entering glue point edit mode or while drawing a connector.
Comment 17 ariokkon 2010-04-11 11:02:05 UTC
I think that the suggested feature that allows connecting to sub-objects within
a group would be really useful. 
E.g. in electronic design it would be useful to store the symbols of the
components or subsystems to theme and use them there. A component symbol is
naturally a group. You combine the component symbol from elementary symbols
having glue points. When you actually use the symbol you want to make
connections to the specific points, connectors, of the symbol. It is impractical
to add glue points later to the group because the association of the group level
glue points and the parts of the symbol is not clear (and extra work). The
current situation impedes automatic processing of designs.
Anyway, the feature might be configurable by group. So, you could select do the
specific group reveal the inner glue points or not.
(Background: I have developed automatic processing of designs drawn using Visio
for several technologies since 1994. I am now researching how to use OpenOffice
as the design tool for automatic processing.)
Comment 18 Marcus 2017-05-20 11:29:35 UTC
Reset assigne to the default "issues@openoffice.apache.org".